# Generated by Django 4.0.3 on 2022-04-07 19:31

from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Storefront',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=125)),
                ('description', models.TextField()),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('image', models.URLField(blank=True, null=True)),
                ('members', models.ManyToManyField(related_name='storefront', to=settings.AUTH_USER_MODEL)),
            ],
        ),
    ]
